OBTENER /groups/{groupId}/apps/{appId}/metrics

Recupera diversos métricas, incluyendo: Tiempo de cómputo, Transferencia de datos, Minutos de sincronización, Solicitudes exitosas, Solicitudes fallidas. Para obtener una lista completa de métricas disponibles, consulta la Referencia de métricas de Servicios de aplicación.

Parámetros de path

Parámetros de query

  • Inicio string Requerido

    The ISO-8601 date and time of the start of the query period (e.g. "2022-10-27T14:01:01Z").

  • end string Requerido

    The ISO-8601 date and time of the end of the query period (e.g. "2022-12-27T14:01:01Z").

  • granularidad string Requerido

    Especifica la granularidad del periodo de consulta como un valor de duración ISO-8601 . Los ejemplos incluyen "P31D" (31 días), "PT1H" (1 horas), y "PT5M" (5 minutos).

  • Métricas string

    The name of the metric to filter by. For detailed information on the available metrics and their units, see App Services Metrics Reference.

    Los valores son ACTIVE_OPEN_SYNC_SESSIONS, AUTH_EGRESS_BYTES, AUTH_FAILED_REQUESTS, AUTH_RESPONSE_MS, AUTH_SUCCESSFUL_LOGIN, AUTH_SUCCESSFUL_REQUESTS, AUTH_TOTAL_USERS, ENDPOINTS_COMPUTE_MS, ENDPOINTS_EGRESS_BYTES, ENDPOINTS_FAILED_REQUEST, ENDPOINTS_RESPONSE_MS, ENDPOINTS_SUCCESSFUL_REQUESTS, GRAPHQL_RESPONSE_MS, GRAPHQL_COMPUTE_MS, GRAPHQL_EGRESS_BYTES, GRAPHQL_FAILED_REQUESTS, GRAPHQL_SUCCESSFUL_REQUESTS, LF_RESPONSE_MS, OVERALL_COMPUTE_MS, OVERALL_EGRESS_BYTES, OVERALL_FAILED_REQUESTS, OVERALL_SUCCESSFUL_REQUESTS, OVERALL_SYNC_MINUTES, SDK_COMPUTE_MS, SDK_EGRESS_BYTES, SDK_FAILED_REQUESTS, SDK_FNS_RESPONSE_MS, SDK_MQL_COMPUTE_MS, SDK_MQL_EGRESS_BYTES, SDK_MQL_FAILED_REQUESTS, SDK_MQL_RESPONSE_MS, SDK_MQL_SUCCESSFUL_REQUESTS, SDK_SUCCESSFUL_REQUESTS, SYNC_CLIENT_BOOTSTRAP_MS, SYNC_CLIENT_UPLOADS_INVALID, SYNC_CURRENT_OPLOG_LAG_MS_SUM, SYNC_EGRESS_BYTES, SYNC_FAILED_REQUESTS, SYNC_HISTORY_WRITE_MS, SYNC_MINUTES, SYNC_NUM_INTEGRATION_ATTEMPTS, SYNC_NUM_UNSYNCABLE_DOC, SYNC_OT_MS, SYNC_SESSIONS_ENDED, SYNC_SESSIONS_STARTED, SYNC_SUCCESSFUL_REQUESTS, SYNC_UPLOAD_PROPS_MS, TRIGGERS_COMPUTE_MS, TRIGGERS_CURRENT_OPLOG_LAG_MS_SUM, TRIGGERS_EGRESS_BYTES, TRIGGERS_FAILED_REQUESTS, TRIGGERS_RESPONSE_MS o TRIGGERS_SUCCESSFUL_REQUESTS.

Respuestas

  • 200 aplicación/json

    Recuperado exitosamente.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • mediciones arreglo[objeto] Requerido

      La lista de métricas.

      Ocultar atributos de medición Mostrar atributos de mediciones Objeto
      • data_points arreglo[objeto]

        Un conjunto de puntos de datos para la métrica dada.

        Ocultar atributos de data_points Show data_points attributes Objeto
        • fecha y hora string

          La fecha y hora ISO-8601 de la medición.

        • Valor Número

          The value of the measurement in the unit specified by the metric's unit property.

      • Nombre string

        El nombre de la métrica. Para obtener una lista completa de las métricas disponibles y sus unidades, consulte la Referencia de métricas de App Services.

      • unidades string

        The unit of each data point's value property.

    • id de la aplicación string Requerido

      The app ID sent in the request.

    • app_name string Requerido

      El nombre legible por humanos de la aplicación.

    • group_id string Requerido

      El ID del grupo enviado en la solicitud.

    • Inicio string Requerido

      La fecha y hora (formato ISO-8601) de la medición solicitada más temprana.

    • end string Requerido

      The date and time (ISO-8601 format) of the latest requested measurement.

    • granularidad string Requerido

      La granularidad solicitada de las métricas en formato de duración ISO-8601 .

GET /groups/{groupId}/apps/{appId}/metrics
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/metrics?start=string&end=string&granularity=string' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Ejemplos de respuestas (200)
{
  "measurements": [
    {
      "data_points": [
        {
          "timestamp": "string",
          "value": 42.0
        }
      ],
      "name": "string",
      "units": "string"
    }
  ],
  "app_id": "string",
  "app_name": "string",
  "group_id": "string",
  "start": "2022-10-27T14:01:01Z",
  "end": "2022-12-27T14:01:01Z",
  "granularity": "string"
}